Commit 5a71982f authored by graham's avatar graham
Browse files
parents 438b76bf 43407380
......@@ -15,6 +15,8 @@ wmakeCheckPwd "$WM_PROJECT_DIR" || {
if [ -d "$WM_THIRD_PARTY_DIR" ]
then
$WM_THIRD_PARTY_DIR/Allwmake
else
echo "no ThirdParty sources found - skipping"
fi
# build OpenFOAM libraries and applications
......
......@@ -39,8 +39,6 @@
# @endverbatim
#
#-------------------------------------------------------------------------------
unset listOpt quietOpt
usage() {
[ "$quietOpt" = true ] && exit 1
......@@ -53,7 +51,10 @@ Usage: ${0##*/} [OPTION] fileName
options:
-list list the directories to be searched
-mode <mode> any combination of u(user), g(group), o(other)
-prefix <dir> specify an alternative installation prefix
-quiet suppress all normal output
-version <ver> specify an alternative OpenFOAM version
in the form Maj.Min.Rev (eg, 1.7.0)
-help print the usage
Locate user/group/shipped file with semantics similar to the
......@@ -71,9 +72,63 @@ USAGE
exit 1
}
#
# This script must exist in <foamInstall>/OpenFOAM-<VERSION>/bin/
# or <foamInstall>/openfoam<VERSION>/bin/ (for the debian version)
#
#-------------------------------------------------------------------------------
# the bindir:
binDir="${0%/*}"
# the project dir:
projectDir="${binDir%/bin}"
# the prefix dir (same as foamInstall):
prefixDir="${projectDir%/*}"
# the name used for the project directory
projectDirName="${projectDir##*/}"
# version number used for debian packaging
unset versionNum
#
# handle standard and debian naming convention
#
case "$projectDirName" in
OpenFOAM-*) # standard naming convention OpenFOAM-<VERSION>
version="${projectDirName##OpenFOAM-}"
;;
openfoam[0-9]*) # debian naming convention 'openfoam<VERSION>'
versionNum="${projectDirName##openfoam}"
case "$versionNum" in
??) # convert 2 digit version number to decimal delineated
version=$(echo "$versionNum" | sed -e 's@\(.\)\(.\)@\1.\2@')
;;
???) # convert 3 digit version number to decimal delineated
version=$(echo "$versionNum" | sed -e 's@\(.\)\(.\)\(.\)@\1.\2.\3@')
;;
????) # convert 4 digit version number to decimal delineated
version=$(echo "$versionNum" | sed -e 's@\(.\)\(.\)\(.\)\(.\)@\1.\2.\3.\4@')
;;
*) # failback - use current environment setting
version="$WM_PROJECT_VERSION"
;;
esac
;;
*)
echo "Error : unknown/unsupported naming convention"
exit 1
;;
esac
# default mode is 'ugo'
mode=ugo
unset listOpt quietOpt
# parse options
while [ "$#" -gt 0 ]
......@@ -84,7 +139,6 @@ do
;;
-l | -list)
listOpt=true
shift
;;
-m | -mode)
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
......@@ -98,11 +152,29 @@ do
usage "'$1' option with invalid mode '$mode'"
;;
esac
shift 2
shift
;;
-p | -prefix)
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
prefixDir="$2"
shift
;;
-q | -quiet)
quietOpt=true
;;
-v | -version)
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
version="$2"
# convert x.y.z -> xyz version (if installation looked like debian)
if [ -n "$versionNum" ]
then
versionNum=$(echo "$version" | sed -e 's@\.@@g')
fi
shift
;;
--)
shift
break
;;
-*)
usage "unknown option: '$*'"
......@@ -111,8 +183,18 @@ do
break
;;
esac
shift
done
# debugging:
# echo "Installed locations:"
# for i in projectDir prefixDir projectDirName version versionNum
# do
# eval echo "$i=\$$i"
# done
# Save the essential bits of information:
nArgs=$#
fileName="$1"
......@@ -121,21 +203,28 @@ fileName="$1"
unset dirList
case "$mode" in
*u*) # user
dirList="$dirList $HOME/.${WM_PROJECT:-OpenFOAM}/$WM_PROJECT_VERSION"
dirList="$dirList $HOME/.${WM_PROJECT:-OpenFOAM}/$version"
dirList="$dirList $HOME/.${WM_PROJECT:-OpenFOAM}"
;;
esac
case "$mode" in
*g*) # group
dirList="$dirList $WM_PROJECT_INST_DIR/site/$WM_PROJECT_VERSION"
dirList="$dirList $WM_PROJECT_INST_DIR/site"
dirList="$dirList $prefixDir/site/$version"
dirList="$dirList $prefixDir/site"
;;
esac
case "$mode" in
*o*) # other
dirList="$dirList $WM_PROJECT_DIR/etc"
*o*) # other (shipped)
if [ -n "$versionNum" ]
then
# debian packaging
dirList="$dirList $prefixDir/openfoam$versionNum/etc"
else
# standard packaging
dirList="$dirList $prefixDir/${WM_PROJECT:-OpenFOAM}-$version/etc"
fi
;;
esac
set -- $dirList
......
......@@ -35,10 +35,8 @@
# mpirun -np <nProcs> \
# foamExec -v <foamVersion> <foamCommand> ... -parallel
#
# Note: - not consistent with foamEtcFiles - does not search 'site'
# directories
# - version switch -v will not work with the debian naming
# openfoamXXX
# SeeAlso
# foamEtcFile
#------------------------------------------------------------------------------
usage() {
while [ "$#" -ge 1 ]; do echo "$1"; shift; done
......@@ -47,8 +45,9 @@ usage() {
Usage: ${0##*/} [OPTION] <application> ...
options:
-v ver specify OpenFOAM version
-help this usage
-version <ver> specify an alternative OpenFOAM version
pass through to foamEtcFile
-help this usage
* run a particular OpenFOAM version of <application>
......@@ -56,43 +55,14 @@ USAGE
exit 1
}
# This script should exist in <foamInstall>/OpenFOAM-<VERSION>/bin/
#
# This script must exist in <foamInstall>/OpenFOAM-<VERSION>/bin/
# or <foamInstall>/openfoam<VERSION>/bin/ (for the debian version)
# extract the <foamInstall> and <version> elements
# using a function preserves the command args
getDefaults() {
set -- $(echo $0 | sed -e 's@/OpenFOAM-\([^/]*\)/bin/[^/]*$@ \1@')
foamInstall=$1
foamName='OpenFOAM-'
versionFile=$2
versionString=$2
if [ -z "$versionFile" ]
then
# Try debian package name
#echo "Assuming debian naming convention 'openfoam<version>'"
set -- $(echo $0 | sed -e 's@/openfoam\([0-9]*\)/bin/[^/]*$@ \1@')
foamInstall=$1
foamName='openfoam'
versionFile=$2
versionString=$WM_PROJECT_VERSION
#echo "foamInstall=$foamInstall"
#echo "foamName=$foamName"
#echo "versionFile=$versionFile"
#echo "versionString=$versionString"
fi
}
foamInstall='' # path before OpenFOAM-1.7.0
foamName='' # OpenFOAM- or openfoam
versionFile='' # 170 so what the WM_PROJECT_INST_DIR exists as
versionString='' # 1.7.0
# Get above settings from $0
getDefaults
#
# foamEtcFile is found in the same directory
#-------------------------------------------------------------------------------
unset etcOpts
# parse options
while [ "$#" -gt 0 ]
do
......@@ -100,10 +70,9 @@ do
-h | -help)
usage
;;
-v)
shift
versionString=$1
versionFile=$1
-v | -version)
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
etcOpts="-version $2"
shift
;;
--)
......@@ -117,46 +86,22 @@ do
break
;;
esac
shift
done
#echo "Detected version $versionString with path name $foamName$versionFile"
[ "$#" -ge 1 ] || usage "no application specified"
if [ "$#" -lt 1 ]
then
usage "no application specified"
fi
# find OpenFOAM settings (bashrc)
foamDotFile="$(${0%/*}/foamEtcFile $etcOpts bashrc)" || {
echo "Error : bashrc file could not be found for OpenFOAM-$version" 1>&2
exit 1
}
unset foamDotFile
# preserve arguments (can otherwise get lost when sourcing the foamDotFile)
args="$*"
. $foamDotFile
# Check user-specific OpenFOAM bashrc file
foamDotFile="$HOME/.OpenFOAM/$versionString/bashrc"
if [ -f $foamDotFile ]
then
. $foamDotFile
foamDotFile=okay
else
# Use the FOAM_INST_DIR variable for locating the installed version
for FOAM_INST_DIR in $foamInstall $WM_PROJECT_INST_DIR
do
foamDotFile="$FOAM_INST_DIR/$foamName$versionFile/etc/bashrc"
if [ -f $foamDotFile ]
then
. $foamDotFile
foamDotFile=okay
break
fi
done
fi
if [ "$foamDotFile" != okay ]
then
echo "Error : bashrc file could not be found for OpenFOAM-$versionString" 1>&2
exit 1
fi
# Pass on the rest of the arguments
# execute
exec $args
#------------------------------------------------------------------------------
......@@ -34,10 +34,10 @@ usage() {
cat<<USAGE
usage: ${0##*/}
--foamInstall dir specify installation directory (e.g. /opt)
--projectName name specify project name (e.g. openfoam170)
--archOption arch specify architecture option (only 32 or 64 applicable)
--paraviewInstall dir specify ParaView_DIR (e.g. /opt/paraviewopenfoam380)
--foamInstall dir specify installation directory (e.g. /opt)
--projectName name specify project name (e.g. openfoam170)
--archOption arch specify architecture option (only 32 or 64 applicable)
--paraviewInstall dir specify ParaView_DIR (e.g. /opt/paraviewopenfoam380)
* hardcode paths to installation
......@@ -59,30 +59,30 @@ do
;;
--foamInstall)
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
foamInstall="$2"
echo "Replacing foamInstall setting by $foamInstall"
sed -i -e '/^[^#]/s@foamInstall=.*@foamInstall='"$foamInstall@" etc/bashrc
foamInstall="$2"
echo "Replacing foamInstall setting by $foamInstall"
sed -i -e '/^[^#]/s@foamInstall=.*@foamInstall='"$foamInstall@" etc/bashrc
shift 2
;;
--projectName)
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
projectName="$2"
echo "Replacing WM_PROJECT_DIR setting by $projectName"
sed -i -e '/^[^#]/s@WM_PROJECT_DIR=.*@WM_PROJECT_DIR=$WM_PROJECT_INST_DIR/'"$projectName@" etc/bashrc
shift 2
;;
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
projectName="$2"
echo "Replacing WM_PROJECT_DIR setting by $projectName"
sed -i -e '/^[^#]/s@WM_PROJECT_DIR=.*@WM_PROJECT_DIR=$WM_PROJECT_INST_DIR/'"$projectName@" etc/bashrc
shift 2
;;
--archOption)
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
archOption="$2"
echo "Replacing WM_ARCH_OPTION setting by $archOption"
sed -i -e '/^[^#]/s@: ${WM_ARCH_OPTION:=64}@WM_ARCH_OPTION='"$archOption@" etc/bashrc
archOption="$2"
echo "Replacing WM_ARCH_OPTION setting by $archOption"
sed -i -e '/^[^#]/s@: ${WM_ARCH_OPTION:=64}@WM_ARCH_OPTION='"$archOption@" etc/bashrc
shift 2
;;
--paraviewInstall)
[ "$#" -ge 2 ] || usage "'$1' option requires an argument"
paraviewInstall="$2"
echo "Replacing ParaView_DIR setting by $paraviewInstall"
sed -i -e '/^[^#]/s@ParaView_DIR=.*@ParaView_DIR='"$paraviewInstall@" etc/apps/paraview3/bashrc
paraviewInstall="$2"
echo "Replacing ParaView_DIR setting by $paraviewInstall"
sed -i -e '/^[^#]/s@ParaView_DIR=.*@ParaView_DIR='"$paraviewInstall@" etc/apps/paraview3/bashrc
shift 2
;;
*)
......@@ -99,10 +99,9 @@ done
# Replace the WM_MPLIB always
echo "Replacing WM_MPLIB setting by SYSTEMOPENMPI"
sed -i -e '/^[^#]/s@: ${WM_MPLIB:=.*}@WM_MPLIB=SYSTEMOPENMPI@' etc/bashrc
# Replace the compilerInstall always
echo "Replacing compilerInstall setting by system"
sed -i -e '/^[^#]/s@: ${compilerInstall:=.*}@compilerInstall=system@' etc/settings.sh
#------------------------------------------------------------------------------
......@@ -27,4 +27,4 @@ The Debian packaging is:
Copyright (C) 2010 OpenCFD Ltd. <patches@opencfd.co.uk>
and is licensed under the GPL version 3
and is licensed under the GPL version 3
......@@ -96,13 +96,13 @@ binary-arch: build install
dh_fixperms
dh_makeshlibs
dh_installdeb
# dh_perl
# dh_perl
dh_shlibdeps -- --ignore-missing-info #We depend on vtk libs without info
dh_gencontrol
dh_md5sums
dh_builddeb
source diff:
source diff:
@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
binary: binary-indep binary-arch
......
......@@ -2,7 +2,7 @@
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 1.6 |
| \\ / A nd | Web: www.OpenFOAM.org |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
......
......@@ -27,7 +27,8 @@ Class
Description
A sampledSurface defined by a cuttingPlane. Always triangulated.
Note: does not actually cut until update() called.
Note
Does not actually cut until update() called.
SourceFiles
sampledPlane.C
......
......@@ -57,7 +57,7 @@ makeBasicMixture
(
pureMixture,
constTransport,
hConstThermo,
eConstThermo,
perfectGas
);
......@@ -65,15 +65,16 @@ makeBasicMixture
(
pureMixture,
sutherlandTransport,
hConstThermo,
eConstThermo,
perfectGas
);
makeBasicMixture
(
pureMixture,
constTransport,
eConstThermo,
hConstThermo,
perfectGas
);
......@@ -81,7 +82,7 @@ makeBasicMixture
(
pureMixture,
sutherlandTransport,
eConstThermo,
hConstThermo,
perfectGas
);
......
......@@ -63,6 +63,7 @@ makeBasicPsiThermo
perfectGas
);
makeBasicPsiThermo
(
ePsiThermo,
......
......@@ -2,7 +2,7 @@
========= |
\\ / F ield | OpenFOAM: The Open Source CFD Toolbox
\\ / O peration |
\\ / A nd | Copyright (C) 1991-2009 OpenCFD Ltd.
\\ / A nd | Copyright (C) 1991-2010 OpenCFD Ltd.
\\/ M anipulation |
-------------------------------------------------------------------------------
License
......@@ -53,6 +53,8 @@ namespace Foam
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
// constTransport, hConstThermo
makeCombustionThermo
(
hCombustionThermo,
......@@ -83,6 +85,42 @@ makeCombustionThermo
perfectGas
);
// sutherlandTransport, hConstThermo
makeCombustionThermo
(
hCombustionThermo,
hPsiMixtureThermo,
homogeneousMixture,
sutherlandTransport,
hConstThermo,
perfectGas
);
makeCombustionThermo
(
hCombustionThermo,
hPsiMixtureThermo,
inhomogeneousMixture,
sutherlandTransport,
hConstThermo,
perfectGas
);
makeCombustionThermo
(
hCombustionThermo,
hPsiMixtureThermo,
veryInhomogeneousMixture,
sutherlandTransport,
hConstThermo,
perfectGas
);
// sutherlandTransport, janafThermo
makeCombustionThermo
(
hCombustionThermo,
......@@ -113,6 +151,7 @@ makeCombustionThermo
perfectGas
);
makeCombustionThermo
(
hCombustionThermo,
......
......@@ -2,7 +2,7 @@
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 1.6 |
| \\ / A nd | Web: http://www.OpenFOAM.org |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
......@@ -57,7 +57,7 @@ directionalSolidThermoCoeffs
cpValues (1700 1700);
KValues ((40 40 40) (40 40 40));
coordinateSystem
{
origin (-0.000062 0.000019 0.000039);
......
......@@ -2,7 +2,7 @@
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 1.6 |
| \\ / A nd | Web: http://www.OpenFOAM.org |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
......@@ -57,7 +57,7 @@ directionalSolidThermoCoeffs
cpValues (1700 1700);
KValues ((40 40 40) (40 40 40));
coordinateSystem
{
origin (-0.000062 0.000019 0.000039);
......
......@@ -2,7 +2,7 @@
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 1.6 |
| \\ / A nd | Web: http://www.OpenFOAM.org |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
......@@ -57,7 +57,7 @@ directionalSolidThermoCoeffs
cpValues (1700 1700);
KValues ((40 40 40) (40 40 40));
coordinateSystem
{
origin (-0.000062 0.000019 0.000039);
......
......@@ -2,7 +2,7 @@
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 1.6 |
| \\ / A nd | Web: http://www.OpenFOAM.org |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
......@@ -57,7 +57,7 @@ directionalSolidThermoCoeffs
cpValues (1700 1700);
KValues ((40 40 40) (40 40 40));
<